> For the complete documentation index, see [llms.txt](https://docs.parallels.com/landing/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.parallels.com/landing/ras-rest-api-guide/api-reference/farm-settings/licensing.md).

# Licensing

## Get

> Retrieve the current license setting.

```json
{"openapi":"3.0.1","info":{"title":"Parallels RAS - REST API v1.0","version":"1.0"},"paths":{"/api/License":{"get":{"tags":["1-Farm settings//Licensing"],"summary":"Get","description":"Retrieve the current license setting.","operationId":"6b0551fd-420f-4e4a-a00f-767877e50bb8","parameters":[{"name":"UseCache","in":"query","description":"Specifies whether to retrieve the number of current licensed users from cache or calculate it on demand.","schema":{"type":"boolean"}}],"responses":{"200":{"description":"Success","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/License"}}}},"401":{"description":"Unauthorized","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}},"404":{"description":"Not Found","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}}}}}},"components":{"schemas":{"License":{"type":"object","properties":{"licenseType":{"type":"string","description":"<para type=\"description\">License Type (Permanent, PrePaid, PostPaid, ExtTrial, LegacyTrial, or NormalTrial)</para>","nullable":true},"licenseKey":{"type":"string","description":"<para type=\"description\">License Key</para>","nullable":true},"expiryDate":{"type":"string","description":"<para type=\"description\">Expiry date of License</para>","nullable":true},"installedUsers":{"type":"string","description":"<para type=\"description\">Maximum number of licensed users</para>","nullable":true},"usersPeak":{"type":"string","description":"<para type=\"description\">Maximum amount of connected users since the product was installed (calculated together with the Usage Today).</para>","nullable":true},"usersLicenseInfo":{"type":"string","description":"<para type=\"description\">Amount of users currently connected</para>","nullable":true},"gracePeriodState":{"type":"string","description":"<para type=\"description\">State of Grace period</para>","nullable":true},"gracePeriodDaysLeft":{"type":"string","description":"<para type=\"description\">Days left for Grace period</para>","nullable":true},"type":{"$ref":"#/components/schemas/LicenseType"},"needsAttention":{"type":"boolean","description":"<para type=\"description\">RAS licensing requires attention.</para>"},"statusMessage":{"type":"string","description":"<para type=\"description\">The current status message of the RAS License.</para>","nullable":true},"alertMessage":{"type":"string","description":"<para type=\"description\">The alert message a RAS Administrator should be notificed about.</para>","nullable":true}},"additionalProperties":false,"description":"<para type=\"synopsis\">RAS License</para>\r\n<para type=\"description\"></para>"},"LicenseType":{"enum":[["1 = Perpetual","2 = Subscription","3 = SPLA","4 = ExtTrial","5 = Beta","6 = Trial"]],"type":"string","description":"<para type=\"synopsis\">License Type</para>\r\n<para type=\"description\"></para>\r\n<para type=\"description\"></para>","format":"int32"},"ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"integer","format":"int32","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.parallels.com/landing/ras-rest-api-guide/api-reference/farm-settings/licensing.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
